package de.comline.spring.service;

import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.Matchers.is;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

import de.comline.spring.entity.Movie;

public class MovieRepositoryTestWithoutSpring {
	@Test
	@DisplayName("Test with hand-wired service and repository, without Spring")
	public void serviceTestWithoutSpring() {
		MovieService service = new MovieService();
		service.repository = RepositoryMocker.createMockRepository();
		
		String title = "the-movie-title";
		
		Movie movie = service.createMovie(title);
		assertThat(movie.getTitle(), is(title));		
	}
}
